body, html {
      /*background-image: url('../images/yubio_background.png');*/
    background-color: #1C203A;
    font-family: sans-serif;
    color: #ffffff;
    -moz-osx-font-smoothing: grayscale;
}

input {
    color: #000000
}

.ui-page {
    background: #1C203A;
    font-family: sans-serif;
    color: #ffffff;
}


canvas {
    //border: 1px solid #9C9898;
}

#lightbox-container-image-box {
    width: 20px
}

#lightbox-container-image-data-box {
    width: 20px
}

#lightbox-image {
    width: 20px
}

a.linkbox {
    display: inline-block;
    height: 140px;
    width: 140px;
    border-width: 1px 1px 1px 1px;
    border-style: solid;
    border-color: #000000;
    text-align: center;
    vertical-align: bottom;
    text-decoration: none;
    color: #ffffff;
    background-position: center center; 
    background-size: 140px;
    background-repeat:  no-repeat;
}

a.linkbox_small {
    height: 70px;
    width: 70px;
    background-size: 70px;
}

.unselectable {
    -moz-user-select: none;
    -webkit-user-select: none;
    /* this will work for QtWebKit in future */
    -webkit-user-drag: none;
}

span.valign {
    position: relative;
    top: 50%;
}

td.menuentry {
    height: 90px;
    width: 90px;

}

a.up {
    margin: 5px;
    
    -webkit-box-shadow: 3px 3px 2px rgba(0,0,0,.4);
    -moz-box-shadow: 3px 3px 2px rgba(0,0,0,.4);
    box-shadow: 5px 5px 2px rgba(0,0,0,.4);
}

a.down {
    margin: 10px 0px 0px 10px;
}

label.button { 
    display : inline-block;
    padding : 5px 12px;
    cursor  : pointer;
    border  : 1px #000000 solid; 
    height  : 70px;
    width   : 140px;
    line-height: 70px;
    background: #202869;
    text-align: center;
    vertical-align: center;
    margin: 5px;
    
    -webkit-box-shadow: 3px 3px 2px rgba(0,0,0,.4);
    -moz-box-shadow: 3px 3px 2px rgba(0,0,0,.4);
    box-shadow: 5px 5px 2px rgba(0,0,0,.4);
}

label.button_chapter { 
    display : inline-block;
    padding : 5px 12px;
    cursor  : pointer;
    border  : 1px #000000 solid; 
    height  : 90px;
    width   : 140px;
    line-height: 25px;
    background: #202869;
    text-decoration: none;
    text-align: center;
    vertical-align: center;
    margin: 5px;
    font-weight: 100;
    /* white-space:nowrap;
    text-overflow:ellipsis; */
    overflow: hidden;
    -webkit-box-shadow: 3px 3px 2px rgba(0,0,0,.4);
    -moz-box-shadow: 3px 3px 2px rgba(0,0,0,.4);
    box-shadow: 5px 5px 2px rgba(0,0,0,.4);
}

label.button_wide { 
    display : inline-block;
    padding : 5px 12px;
    cursor  : pointer;
    border  : 1px #000000 solid; 
    height  : 100px;
    width   : 640px;
    line-height: 30px;
    background: #202869;
    text-align: center;
    vertical-align: center;
    margin: 5px;
    
    -webkit-box-shadow: 3px 3px 2px rgba(0,0,0,.4);
    -moz-box-shadow: 3px 3px 2px rgba(0,0,0,.4);
    box-shadow: 5px 5px 2px rgba(0,0,0,.4);
}

label.button_wide p { 
    position: absolute;
    right: 5px;
    top: 5px;
    color:white;
    z-index:1;
    margin:0;
    padding:0;
}

div.button_wide { 
    display : block;
    padding : 5px 12px;
    cursor  : pointer;
    border  : 1px #000000 solid; 
    height  : 100px;
    width   : 640px;
    line-height: 30px;
    background: #202869;
    text-align: center;
    vertical-align: center;
    margin: 5px;
    
    -webkit-box-shadow: 3px 3px 2px rgba(0,0,0,.4);
    -moz-box-shadow: 3px 3px 2px rgba(0,0,0,.4);
    box-shadow: 5px 5px 2px rgba(0,0,0,.4);
}

      
input[type="radio"] { 
    display: none; 
}

input[type="radio"]:checked + label { 
    background: #5C6CAA;
}

/* hover style */
input[type="radio"] + label:hover { }
input[type="radio"]:checked + label:hover { }


input[type="checkbox"] { 
    display: none; 
}

input[type="checkbox"]:checked + label { 
    background: #5C6CAA;
}


input[type="submit"] { 
    appearance: none; 

    color: #ffffff;
    display : inline-block;
    padding : 2px 5px;
    cursor  : pointer;
    border  : 1px #000000 solid; 
    height  : 70px;
    width   : 150px;
    background: #202869;
    text-align: center;
    vertical-align: center;
    line-height: 70px;
    margin: 5px;
    
    -webkit-box-shadow: 3px 3px 2px rgba(0,0,0,.4);
    -moz-box-shadow: 3px 3px 2px rgba(0,0,0,.4);
    box-shadow: 5px 5px 2px rgba(0,0,0,.4);    
}

input[type="submit"]:active {
    margin: 10px 0px 0px 10px;    
    -webkit-box-shadow: none;
    -moz-box-shadow: none;
    box-shadow: none;

} 

.fixed-right-content {
    top: 100px;
    bottom:0;
    right: 10px;
    position:fixed;
    overflow-y:hidden;
    overflow-x:hidden;
}
.rcorners2 {
    border-radius: 25px;
      background: #5C6CAA;
      padding: 20px;
      width: 200px;
      height: 150px;
    }

fieldset {
    display: inline-block;
}

legend {
    color: #ffffff;
}

#overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #000;
    padding-top: 6em;
    
    z-index: 10000;
}  

.scores {
    padding: 0em .2em;
}

.yubioBtn {
    display: inline-block;
    width: 8em;
    height: 1.4em;
    color: #ffffff !important;
    background-color: #1C203A;
    border-style: solid;
    border-width: .15em;
    border-color: #5C6CAA;
    text-decoration: none;
    line-height: 1.1em;
    margin: 0 .5em;
    font-size: 14pt;
    font-weight: 100;
    border-radius: 0px !important;
    vertical-align: middle;

    -webkit-box-shadow: 3px 3px 2px rgba(0,0,0,.4);
    -moz-box-shadow: 3px 3px 2px rgba(0,0,0,.4);
    box-shadow: 5px 5px 2px rgba(0,0,0,.4);

}

.yubioBtn:disabled {
    opacity: 0.3;
}

.yubioBtn:link,.yubioBtn:visited,.yubioBtn:active,.yubioBtn:hover { 
    text-decoration: none;
    color: #ffffff;
}


.yubioBtnSolid {
    display: inline-block;
    width: 8em;
    height: 1.4em;
    color: #ffffff !important;
    background-color: #5C6CAA;
    border-style: solid;
    border-width: .15em;
    border-color: #5C6CAA;
    text-decoration: none;
    line-height: 1.4em;
    margin: 0 .5em;
    font-size: 14pt;
    font-weight: 100;
    border-radius: 0px !important;


    -webkit-box-shadow: 3px 3px 2px rgba(0,0,0,.4);
    -moz-box-shadow: 3px 3px 2px rgba(0,0,0,.4);
    box-shadow: 5px 5px 2px rgba(0,0,0,.4);

}

.yubioBoxedLink {
    display: inline-block;
    width: 23em;
    height: 1.4em;
    background-color: #5C6CAA;
    /* border-style: solid;
    border-width: .15em;
    border-color: #5C6CAA; */
    text-decoration: none;
    line-height: 1.4em;
    /* margin: 0 .5em; */
    font-size: 14pt;
    font-weight: 100;
    /* margin-left: 5px; */
    border-radius: 0px !important;


    -webkit-box-shadow: 3px 3px 2px rgba(0,0,0,.4);
    -moz-box-shadow: 3px 3px 2px rgba(0,0,0,.4);
    box-shadow: 5px 5px 2px rgba(0,0,0,.4);

}


.yubioLink,.yubioLink:link,.yubioLink:visited,.yubioLink:active,.yubioLink:hover { 
    text-decoration: none;
    cursor  : pointer;
    padding: 2px 4px; 
    background: #EA661E; 
    color: #1C203A; 
    margin: 5px 5px 5px 0px;

    -webkit-box-shadow: 3px 3px 2px rgba(0,0,0,.4);
    -moz-box-shadow: 3px 3px 2px rgba(0,0,0,.4);
    box-shadow: 5px 5px 2px rgba(0,0,0,.4);

}

.panel-default {
    border: none
}
                    
.panel-heading {
    background: #202869 !important;
    border: none !important;
    color: #ffffff !important;
}

.panel-body {
    background: #1C203A;
    border: none !important;
}

.panel-collapse {
    background: #1C203A;
    border: none;
}

.div-hidden{
    display: none;
}
.fixed-label{
    display: inline-block;
    width:200px;}

.base-timer {
  position: relative;
  width: 200px;
  height: 200px;
}

.base-timer__svg {
  transform: scaleX(-1);
}

.base-timer__circle {
  fill: none;
  stroke: none;
}

.base-timer__path-elapsed {
  stroke-width: 7px;
  stroke: grey;
}

.base-timer__path-remaining {
  stroke-width: 7px;
  stroke-linecap: round;
  transform: rotate(90deg);
  transform-origin: center;
  transition: 1s linear all;
  fill-rule: nonzero;
  stroke: currentColor;
}

.base-timer__path-remaining.green {
  color: rgb(65, 184, 131);
}

.base-timer__path-remaining.orange {
  color: orange;
}

.base-timer__path-remaining.red {
  color: red;
}

.base-timer__label {
  position: absolute;
  width: 200px;
  height: 200px;
  top: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 48px;
}

.tooltip {
    position: relative;
    display: inline-block;
    border-bottom: 1px dotted white;
  }
  
  .tooltip .tooltiptext {
    visibility: hidden;
    width: 120px;
    background-color: black;
    color: #fff;
    text-align: center;
    border-radius: 6px;
    padding: 5px 0;
    position: absolute;
    z-index: 1;
    bottom: 125%;
    left: 50%;
    margin-left: -60px;
    opacity: 0;
    transition: opacity 0.3s;
  }
  
  .tooltip .tooltiptext::after {
    content: "";
    position: absolute;
    top: 100%;
    left: 50%;
    margin-left: -5px;
    border-width: 5px;
    border-style: solid;
    border-color: #555 transparent transparent transparent;
  }
  
  .tooltip:hover .tooltiptext {
    visibility: visible;
    opacity: 1;
  }
.hover-container {
    position: relative;
}

.hover-content {
    position: absolute;
    bottom: -10px;
    right: 10px;
    display: none;
}

.hover-container:hover .hover-content {
    display: block;
}

/* Button used to open the contact form - fixed at the bottom of the page */
.open-button {
    background-color: #EA661E;
    color: white;
    padding: 16px 20px;
    border: none;
    cursor: pointer;
    opacity: 0.6;
    position: fixed;
    bottom: 23px;
    right: 28px;
    font-size: 12pt;
    width: 200px;
  }
  
  /* The popup form - hidden by default */
  .form-popup {
    display: none;
    position: fixed;
    bottom: 0;
    right: 15px;
    border: 3px solid #f1f1f1;
    z-index: 9;
  }
  
  /* Add styles to the form container */
  .form-containerpop {
    max-width: 400px;
    padding: 10px;
    background-color: #1C203A;
  }
  
  /* Full-width input fields */
  .form-containerpop input[type=text], .form-containerpop input[type=password] {
    width: 100%;
    padding: 15px;
    margin: 5px 0 22px 0;
    border: none;
    background: #f1f1f1;
  }
  
  /* When the inputs get focus, do something */
  .form-containerpop input[type=text]:focus, .form-containerpop input[type=password]:focus {
    background-color: rgb(221, 221, 221);
    outline: none;
  }
  
  /* Set a style for the submit/login button */
  .form-containerpop .btn {
    background-color: #EA661E;
    color: white;
    padding: 16px 20px;
    border: none;
    cursor: pointer;
    width: 100%;
    margin-bottom:10px;
    opacity: 0.8;
    font-size: 12pt;
  }
  
  /* Add a red background color to the cancel button */
  .form-containerpop .cancel {
    background-color: #202869;
  }

  .x {
    position: relative;
    background: transparent;
    color: white;
	font-size: 12pt;
    top: -5px;
    right: 30px;
	border: none;
}
